Subject: Re: Git, Mac OS X and German special characters

From: Michael J Gruber <[email-masked]>
Date: Thu, 20 May 2010 16:29:24 +0200

Torsten Bögershausen venit, vidit, dixit 20.05.2010 14:21:
> Hej Michael,
> Thanks for the reply.
> 
>> You signed off, but is Markus Kuhn's code from UCS GPL2-licensed?
> Oh, I haven't added any code from Markus here.
> But if my sign off is a problem, we can remove it ;-)
> or move the code to another place. (And utf.c will still have code from UCS)

Your sign-off is fine if you can place the code under the terms of the
project.

In your patch there is a line

/* This code is originally from http://www.cl.cam.ac.uk/~mgk25/ucs/ */

but I missed the missing '+' in front - that comment was there before
your patch! Sorry for the confusion.

> 
>> Also, a few tests would be nice.
> Yes, fully agreed.
> My feeling is, that at least
> "git add", "git mv", "git rm" should be tested.
> I will fix that.
> But as I become more familiar with the git testsuite,
> it becomes more and more clear, that testing the new feature will
> do the same tests as already existing tests.
>  From that point of view, it seems easier to re-use the existing test
> cases and run them twice, once with clean ascii, and second time with
> an internationalized form.
> As not all platforms support utf-8, the internationalized tests may be
> either utf-8, 8859-1, or nothing at all.
>   
> I feel that at least 50% of the test cases should be "internationalized",
> like "git merge", "git pull" etc.
> (And re-writing the tests is a big issue, at least for me as a beginner)
> Anyway, I will make simple tests.

Simple tests are a good start. More importantly (compared to full
internationalisation), we need someone running them on Mac OS ;)

Michael